package com.android.launcher3.manager;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

import androidx.annotation.IntDef;

public class ColumnDef {

    //    正常使用
    public static final int NORMAL_TYPE = 0;

    //    游戏类应用
    public static final int GAME_LOCK_TYPE = 1;

    //    未分类应用
    public static final int UNCLASS_TYPE = 2;


    @IntDef({NORMAL_TYPE, GAME_LOCK_TYPE, UNCLASS_TYPE})
    @Retention(RetentionPolicy.RUNTIME)
    public @interface UseType {
    }


    //        应用使用时长到达上限
    public static final int DEADLINE = 2;
    //        应用锁定
    public static final int LOCKED = 1;
    //        应用未锁定
    public static final int UNLOCKED = 0;

    @IntDef({UNLOCKED, LOCKED, DEADLINE})
    @Retention(RetentionPolicy.RUNTIME)
    public @interface Lock {
    }
}
